Bug 239768 - problem with underscore in nodes name
Summary: problem with underscore in nodes name
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-11 07:28 UTC by Jean-Pierre Joerg
Modified: 2009-04-16 20:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 08:03:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jean-Pierre Joerg 2007-05-11 07:28:52 UTC
Description of problem:
When using node name with underscore, the name are modified in the failover domain.
The underscore are deleted from the name ex: pai_fail1 -> paifail1

Version-Release number of selected component (if applicable):
Rhel4 U4

How reproducible:
All times

Steps to Reproduce:
1.create nodes with underscore 
2.create failover domain 
3.create service ip
  
Actual results:
names are converted without underscore in failover domain 

Expected results:
Services can be then disabled OK,
starting service gives a panel telling there is an error and to verify logs but
no errors are reported in logs nor any messages at all.  

Additional info:

Comment 2 Ryan McCabe 2008-02-26 22:44:25 UTC
Underscore is not a valid character in a hostname.

From RFC 952 (http://tools.ietf.org/html/rfc952):
  1. A "name" (Net, Host, Gateway, or Domain name) is a text string up
     to 24 characters drawn from the alphabet (A-Z), digits (0-9), minus
     sign (-), and period (.).


Note You need to log in before you can comment on or make changes to this bug.